"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const react_2 = require("@storybook/addon-knobs/react");
react_1.storiesOf('Components/Box', module).addWithJSX('A basic component can be used as div', () => {
    const type = {
        artikel: 'artikel',
        footer: 'footer',
        header: 'header',
        nav: 'nav',
        div: 'div',
        section: 'section'
    };
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement(_1.Box, { bg: react_2.text('background', 'first, hover:second'), border: react_2.text('border', '2, black'), rounded: react_2.text('border-radius', 'sm'), className: react_2.text('className', ''), h: react_2.text('height', '24'), m: react_2.text('margin', ''), p: react_2.text('padding', '2'), w: react_2.text('width', '32'), justify: react_2.text('justify', 'center'), items: react_2.text('items', "center, lg:start"), transition: true }, react_2.text('chidren', 'i am a box'))));
});
react_1.storiesOf('Components/Box/LiveEdit', module).addLiveSource('Demo', `return  <div style={{ padding: '20px 40px' }}>
            <Box
              bg="first"
              border="2, black"
              className="BoxClass"
              h="24"
              mt="2"
              p="2"
              type="div"
              w="32"
            >
              im a box
            </Box>
           </div>`, {
    Box: _1.Box
});
