import * as React from 'react';
import { TailWindCSS } from './../../types/TailWindProps';
export interface BoxProps extends TailWindCSS {
    children?: React.ReactNode;
    className?: string;
    /**Pass any normal div props here */
    divProps?: React.HTMLProps<HTMLDivElement>;
    gradient?: string;
    image?: string;
    style?: React.CSSProperties;
    type?: 'artikel' | 'footer' | 'header' | 'nav' | 'div' | 'section';
    video?: string;
}
export declare const Box: React.FunctionComponent<BoxProps>;
