"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const react_2 = require("@storybook/addon-knobs/react");
const _1 = require("./");
react_1.storiesOf('Components/Button', module).addWithJSX('Basic button', () => {
    const bg = {
        first: 'first',
        second: 'second',
        third: 'third',
        fourth: 'fourth',
        error: 'error',
        success: 'success',
        grey: 'grey'
    };
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement(_1.Button, { bg: react_2.select('background', bg, 'first'), btnProps: { onMouseUp: () => console.log('mouse up') }, color: react_2.text('color', 'white'), disabled: react_2.boolean('disabled', false), loading: react_2.boolean('loading', false), rounded: react_2.text('borderRadius', 'sm'), m: react_2.text('margin', '2'), p: react_2.text('padding', '4'), onClick: e => console.log('button clicked', e), hollow: react_2.boolean('hollow', false), ripple: react_2.boolean('ripple', false), w: react_2.text('width', '32'), h: react_2.text('height', '12') }, react_2.text('children', 'Im a button.'))));
});
