import * as React from 'react';
import { TailWindCSS } from './../../types/TailWindProps';
export interface ButtonProps extends TailWindCSS {
    /** pass any normal button props here */
    bg?: string;
    btnProps?: React.HTMLProps<HTMLButtonElement>;
    children?: any;
    className?: string;
    closeThickness?: string;
    color?: string;
    disabled?: boolean;
    loading?: boolean;
    hollow?: boolean;
    onClick?: (e?: React.MouseEvent<HTMLButtonElement>) => void;
    /** ripple effect on click */
    ripple?: boolean;
    style?: React.CSSProperties;
    type?: string;
}
export declare const Button: React.FunctionComponent<ButtonProps>;
