"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const Row_1 = require("../Row");
const Col_1 = require("../Col");
const Box_1 = require("../Box");
const react_2 = require("@storybook/addon-knobs/react");
react_1.storiesOf('Components/Grid/Container', module).addWithJSX('A basic component can be used as container', () => (React.createElement("div", { style: { padding: '20px 40px' } },
    React.createElement(_1.Container, { className: react_2.text('className', 'border-2'), fluid: react_2.boolean('fluid', false) }, react_2.text('chidren', 'i am a container')))));
react_1.storiesOf('Components/Grid/Demo', module).addWithJSX('An example how to use grid system', () => {
    return (React.createElement(_1.Container, { fluid: react_2.boolean('fluid', true) },
        React.createElement(Row_1.Row, null,
            React.createElement(Col_1.Col, { width: react_2.text('1.col', '12, md:6, lg:3') },
                React.createElement(Box_1.Box, { h: "16", bg: "first", my: "4" })),
            React.createElement(Col_1.Col, { width: react_2.text('2.col', '12, md:6, lg:3') },
                React.createElement(Box_1.Box, { h: "16", bg: "first", my: "4" })),
            React.createElement(Col_1.Col, { width: react_2.text('3.col', '12, md:6, lg:3') },
                React.createElement(Box_1.Box, { h: "16", bg: "first", my: "4" })),
            React.createElement(Col_1.Col, { width: react_2.text('4.col', '12, md:6, lg:3') },
                React.createElement(Box_1.Box, { h: "16", bg: "first", my: "4" })))));
});
