import * as React from 'react';
import { TailWindCSS } from './../../types/TailWindProps';
export interface HeadlineProps extends TailWindCSS {
    bold?: boolean;
    center?: boolean;
    children: any;
    /**
     * color of headline
     */
    color?: string;
    className?: string;
    headingProps?: React.HTMLProps<HTMLHeadingElement>;
    /**
     * headline size
     *
     */
    hover?: string;
    level?: '1' | '2' | '3' | '4' | '5' | '6';
    uppercase?: boolean;
    /**
     * style object
     *
     */
    style?: React.CSSProperties;
    size?: string;
}
export declare const Headline: React.FunctionComponent<HeadlineProps>;
