"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
// Components:
const React = require("react");
const classnames_1 = require("classnames");
const Box_1 = require("../Box");
exports.Row = React.memo(props => {
    const { children, className, style } = props, styleProps = __rest(props, ["children", "className", "style"]);
    return (React.createElement(Box_1.Box, Object.assign({ className: classnames_1.default('Row flex flex-wrap ', className && className), style: style }, styleProps), children));
});
exports.Row.defaultProps = {
    w: 'auto',
    nmx: '4'
};
